Subject: Re: [PATCH v5 1/3] ls-refs: report unborn targets of symrefs

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 27 Jan 2021 02:28:38 +0100

On Tue, Jan 26 2021, Jonathan Tan wrote:

> +If the 'unborn' feature is advertised the following argument can be
> +included in the client's request.
> +
> +    unborn
> +	The server may send symrefs pointing to unborn branches in the form
> +	"unborn <refname> symref-target:<target>".
> +

"branches" as in things under refs/heads/*? What should happen if you
send this for a refs/tags/* or refs/xyz/*? Maybe overly pedantic, but it
seems we have no other explicit mention of refs/{heads,tags}/ in
protocol-v2.txt before this[1].

1. Although as I've learned from another recent thread include-tag is
   magical for refs/tags/* only.